
Redmine - Defect #41795

Missing fixture: a test does not pass if the 'issue_categories' fixtures are not already loaded

2024-11-19 17:08 - Vincent Robert

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Marius BĂLTEANU % Done: 0%

Category: Code cleanup/refactoring Estimated time: 0.00 hour

Target version: 5.1.5   

Resolution: Fixed Affected version:  

Description

While running the tests in isolation, I noticed that one test failed.

If the 'issue_categories' fixtures are not already loaded, the test does not pass.

Minitest::Assertion: "View all issues (3 open)" not found in 

"1 issue(s) that are assigned to you are due in the next 7 days::

* eCookbook - Bug #15: Assigned to group (Due in 5 days)

View all issues (2 open)

http://localhost:3000/issues?assigned_to_id=me&set_filter=1&sort=due_date%3Aasc

-- 

You have received this notification because you have either subscribed to it, or are involved in i

t.

To change your notification preferences, please click here: http://hostname/my/account

" 

test/test_helper.rb:248:in `assert_include'

test/test_helper.rb:270:in `assert_mail_body_match'

test/unit/mailer_test.rb:935:in `block (2 levels) in test_reminder_should_include_issues_assigned_

to_groups'

test/unit/mailer_test.rb:926:in `each'

test/unit/mailer_test.rb:926:in `block in test_reminder_should_include_issues_assigned_to_groups'

test/test_helper.rb:102:in `with_settings'

test/unit/mailer_test.rb:905:in `test_reminder_should_include_issues_assigned_to_groups'

 I therefore suggest adding it to this test:

diff --git a/test/unit/mailer_test.rb b/test/unit/mailer_test.rb

index 2cb5c4ca4..b4f4c8f23 100644

--- a/test/unit/mailer_test.rb

+++ b/test/unit/mailer_test.rb

@@ -31,7 +31,7 @@ class MailerTest < ActiveSupport::TestCase

            :wikis, :wiki_pages, :wiki_contents, :wiki_content_versions,

            :versions,

            :comments,

-           :groups_users, :watchers

+           :groups_users, :watchers, :issue_categories

   def setup

     ActionMailer::Base.deliveries.clear

Associated revisions

Revision 23299 - 2024-11-22 08:58 - Marius BĂLTEANU

Adds missing fixture to mailer_test (#41795).

Patch by Vincent Robert (user:Nanego).

Revision 23301 - 2024-11-23 12:21 - Marius BĂLTEANU

Merge r23299 from trunk to 6.0-stable (#41795).
Revision 23302 - 2024-11-23 12:22 - Marius BĂLTEANU

Merge r23299 from trunk to 5.1-stable (#41795).

History

#1 - 2024-11-20 06:47 - Go MAEDA

- Status changed from New to Confirmed

- Target version set to 5.1.5

#2 - 2024-11-22 06:10 - Alma Way

<deleted form spam>

#3 - 2024-11-22 07:57 - Vincent Robert

Can you please lock the "Alma way" account? It's obviously an AI bot which tries to create links to other websites. (By the way, we could add a "No

Follow" attribute on the links in the notes. It may be a new option to add to Redmine)

#4 - 2024-11-22 08:56 - Marius BĂLTEANU

Vincent Robert wrote in #note-3:

Can you please lock the "Alma way" account? It's obviously an AI bot which tries to create links to other websites. (By the way, we could add a

"No Follow" attribute on the links in the notes. It may be a new option to add to Redmine)

 Done.

#5 - 2024-11-22 08:58 - Marius BĂLTEANU

- Category set to Code cleanup/refactoring

- Status changed from Confirmed to Resolved

- Assignee set to Marius BĂLTEANU

- Resolution set to Fixed

Patch committed, thanks!

#6 - 2024-11-23 12:22 - Marius BĂLTEANU

- Status changed from Resolved to Closed
